%global dlrn_nvr tripleo-image-elements-10.4.2-0.20190912000426.1ebd7af
%global dlrn 1
%define upstream_version 10.4.2
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version: 10.4.2
Release: 0.20190912000426.1ebd7af%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-image-elements-10.4.2-0.20190912000426.1ebd7af.tar.gz
# patches_base=1ebd7afac1c49b9fe413a286c21c311bb0a31072
# patches_ignore=DROP-IN-RPM


BuildArch:	noarch
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr
%if %{pyver} == 2
BuildRequires:	python-d2to1
%else
BuildRequires:	python%{pyver}-d2to1
BuildRequires:  /usr/bin/pathfix.py
%endif

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
%setup -q -n tripleo-image-elements-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/tripleo-image-elements/os-svc-install/bin/map-services-tripleo
%endif

%files
%doc LICENSE
%doc AUTHORS
%doc ChangeLog
%{pyver_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Wed Sep 11 2019 OSP Prod Chain <dev-null@redhat.com> 10.4.2-1
- Update patches

* Wed Sep 11 2019 RDO <dev@lists.rdoproject.org> 10.4.2-1
- Update to 10.4.2

* Fri Jul 05 2019 RDO <dev@lists.rdoproject.org> 10.4.1-1
- Update to 10.4.1

* Thu Apr 18 2019 RDO <dev@lists.rdoproject.org> 10.4.0-1
- Update to 10.4.0

